Package org.eclipse.cdt.core.browser

# Interface ITypeSearchScope

All Known Implementing Classes:
  `TypeSearchScope`

public interface ITypeSearchScope

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(ITypeSearchScope scope)`
`void`
`add(ICElement elem)`
`void`
`add(ICProject project)`
`void`
`add(IWorkingCopy workingCopy)`
`void`
`add(org.eclipse.core.runtime.IPath path, boolean addSubfolders, ICProject enclosingProject)`
`void`
`addWorkspace()`
`void`
`clear()`
`Collection<org.eclipse.core.runtime.IPath>`
`containerSet()`
`boolean`
`encloses(String path)`
`boolean`
`encloses(ITypeSearchScope scope)`
`boolean`
`encloses(ICElement element)`
`boolean`
`encloses(ICProject project)`
`boolean`
`encloses(IWorkingCopy workingCopy)`
`boolean`
`encloses(org.eclipse.core.runtime.IPath path)`
`Collection<ICProject>`
`enclosingProjectSet()`
`ICProject[]`
`getEnclosingProjects()`
`boolean`
`isEmpty()`
`boolean`
`isPathScope()`
`boolean`
`isProjectScope()`
`boolean`
`isWorkspaceScope()`
`Collection<org.eclipse.core.runtime.IPath>`
`pathSet()`
`Collection<ICProject>`
`projectSet()`

## Method Details

### isPathScope

boolean isPathScope()

### isProjectScope

boolean isProjectScope()

### isWorkspaceScope

boolean isWorkspaceScope()

### isEmpty

boolean isEmpty()

### encloses

boolean encloses(ITypeSearchScope scope)

### encloses

boolean encloses(ICProject project)

### encloses

boolean encloses(org.eclipse.core.runtime.IPath path)

### encloses

boolean encloses(String path)

### encloses

boolean encloses(ICElement element)

### encloses

boolean encloses(IWorkingCopy workingCopy)

### add

void add(IWorkingCopy workingCopy)

### add

void add(org.eclipse.core.runtime.IPath path, boolean addSubfolders, ICProject enclosingProject)

### add

void add(ICProject project)

### add

void add(ICElement elem)

### add

void add(ITypeSearchScope scope)

### addWorkspace

void addWorkspace()

### clear

void clear()

### getEnclosingProjects

ICProject[] getEnclosingProjects()

### pathSet

Collection<org.eclipse.core.runtime.IPath> pathSet()

### containerSet

Collection<org.eclipse.core.runtime.IPath> containerSet()

### projectSet

Collection<ICProject> projectSet()

### enclosingProjectSet

Collection<ICProject> enclosingProjectSet()